LP5250D(1)

NAME
lp5250d - start an AS/400 printer session

SYNOPSIS
lp5250d [OPTIONS] HOSTNAME

DESCRIPTION
lp5250d connects to an AS/400 over TCP/IP and provides a printer session emulating an IBM 3812 printer. The printer session works with scs2ascii and host print transform on the AS/400 to print AS/400 spooled files on a local printer.

To end a printer session, send it a SIGTERM signal with kill(1).

Printing support requires named session support, which is available for most recent versions of OS/400, but is only supplied with V4R3 and later versions. For V3R2, V3R7, V4R1 and V4R2, please see informational APAR II10918.

OPTIONS
Additional lp5250d options are described in the tn5250rc(5) man page.

-u, --user=USER
    run lp5250d as USER

-H, --help
    display this help and exit

-v, --version
    output version information and exit

EXAMPLES

lp5250d env.DEVNAME=LINPRT1 env.IBMMFRTYPMDL='*HP4' as400sys
    Connect to as400sys as the printer LINPRT1, using host print transform on the AS/400 to print to an HP Laserjet or compatible using lpr.

lp5250d env.DEVNAME=LINPRT1 env.IBMMFRTYPMDL='*OKI184IBM' outputcommand=''scs2ascii | lpr -Poki' as400sys
    Print to an Okidata Microline 184 Turbo on the local print queue named `oki'.

lp5250d env.DEVNAME=PSPRT outputcommand='scs2ps > scs$$.ps' as400sys
    Convert spooled files into PostScript® files.

BUGS
Please report any bugs you find to the bug tracker or to the linux5250 mailing list. See the tn5250 web site for more details.

SEE ALSO
tn5250rc(5), tn5250(1), scs2ascii(1), scs2ps(1), http://tn5250.sourceforge.net/, RFC1205, RFC2877, II10918.

COPYRIGHT
tn5250 is copyright 1997 - 2001 Michael Madore. This manpage is copyright 1999 - 2001 Carey Evans.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

TRADEMARKS
PostScript is a trademark of Adobe Systems Incorporated.

AUTHORS
tn5250 was written by Michael Madore, Jay Felice, Scott Klement and others; see the AUTHORS file for details. This manual page was written by Carey Evans.